Bug 1469190 - Process 8572 (gnome-control-c) of user 1000 dumped core.
Process 8572 (gnome-control-c) of user 1000 dumped core.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-10 11:58 EDT by Mikhail
Modified: 2018-05-29 07:20 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:20:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (131.51 KB, text/plain)
2017-07-10 12:00 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2017-07-10 11:58:35 EDT
Description of problem:


$ coredumpctl gdb
           PID: 8572 (gnome-control-c)
           UID: 1000 (mikhail)
           GID: 1000 (mikhail)
        Signal: 11 (SEGV)
     Timestamp: Mon 2017-07-10 15:55:48 +05 (4h 55min ago)
  Command Line: gnome-control-center --overview
    Executable: /usr/bin/gnome-control-center
 Control Group: /user.slice/user-1000.slice/session-2.scope
          Unit: session-2.scope
         Slice: user-1000.slice
       Session: 2
     Owner UID: 1000 (mikhail)
       Boot ID: 27942dec831b460c891a9382990f9288
    Machine ID: edc1cc95c19c4261af3af0c053b20c2e
      Hostname: localhost.localdomain
       Storage: /var/lib/systemd/coredump/core.gnome-control-c.1000.27942dec831b460c891a9382990f9288.8572.1499684148000000.lz4
       Message: Process 8572 (gnome-control-c) of user 1000 dumped core.
                
                Stack trace of thread 8572:
                #0  0x00007f6d5402ad94 updated_cb (libnm.so.0)
                #1  0x00007f6d4514fbde ffi_call_unix64 (libffi.so.6)
                #2  0x00007f6d4514f54f ffi_call (libffi.so.6)
                #3  0x00007f6d51612b09 g_cclosure_marshal_generic (libgobject-2.0.so.0)
                #4  0x00007f6d5161230d g_closure_invoke (libgobject-2.0.so.0)
                #5  0x00007f6d5162498e signal_emit_unlocked_R (libgobject-2.0.so.0)
                #6  0x00007f6d5162c710 g_signal_emitv (libgobject-2.0.so.0)
                #7  0x00007f6d5407d23d nmdbus_settings_connection_proxy_g_signal (libnm.so.0)
                #8  0x00007f6d4514fbde ffi_call_unix64 (libffi.so.6)
                #9  0x00007f6d4514f54f ffi_call (libffi.so.6)
                #10 0x00007f6d51612b09 g_cclosure_marshal_generic (libgobject-2.0.so.0)
                #11 0x00007f6d5161230d g_closure_invoke (libgobject-2.0.so.0)
                #12 0x00007f6d516243e0 signal_emit_unlocked_R (libgobject-2.0.so.0)
                #13 0x00007f6d5162d1a5 g_signal_emit_valist (libgobject-2.0.so.0)
                #14 0x00007f6d5162dfe8 g_signal_emit_by_name (libgobject-2.0.so.0)
                #15 0x00007f6d5192b1ad signal_cb (libgio-2.0.so.0)
                #16 0x00007f6d5190ba64 emit_signal_instance_in_idle_cb (libgio-2.0.so.0)
                #17 0x00007f6d51336c27 g_idle_dispatch (libglib-2.0.so.0)
                #18 0x00007f6d5133a247 g_main_dispatch (libglib-2.0.so.0)
                #19 0x00007f6d5133a5e8 g_main_context_iterate (libglib-2.0.so.0)
                #20 0x00007f6d5133a67c g_main_context_iteration (libglib-2.0.so.0)
                #21 0x00007f6d518f3ebd g_application_run (libgio-2.0.so.0)
                #22 0x00005596d45057d1 main (gnome-control-center)
                #23 0x00007f6d50d284da __libc_start_main (libc.so.6)
                #24 0x00005596d450598a _start (gnome-control-center)
                
                Stack trace of thread 8582:
                #0  0x00007f6d50e0ca9d poll (libc.so.6)
                #1  0x00007f6d5133a569 g_main_context_poll (libglib-2.0.so.0)
                #2  0x00007f6d5133a67c g_main_context_iteration (libglib-2.0.so.0)
                #3  0x00007f6d5133a6c1 glib_worker_main (libglib-2.0.so.0)
                #4  0x00007f6d51361536 g_thread_proxy (libglib-2.0.so.0)
                #5  0x00007f6d5825136d start_thread (libpthread.so.0)
                #6  0x00007f6d50e18b8f __clone (libc.so.6)
                
                Stack trace of thread 8583:
                #0  0x00007f6d51357400 magazine_chain_pop_head (libglib-2.0.so.0)
                #1  0x00007f6d51335cd6 g_list_prepend (libglib-2.0.so.0)
                #2  0x00007f6d5134aaf1 g_queue_push_head (libglib-2.0.so.0)
                #3  0x00007f6d5133953e g_main_context_push_thread_default (libglib-2.0.so.0)
                #4  0x00007f6d518de51e g_task_return_now (libgio-2.0.so.0)
                #5  0x00007f6d518de569 complete_in_idle_cb (libgio-2.0.so.0)
                #6  0x00007f6d51336c27 g_idle_dispatch (libglib-2.0.so.0)
                #7  0x00007f6d5133a247 g_main_dispatch (libglib-2.0.so.0)
                #8  0x00007f6d5133a5e8 g_main_context_iterate (libglib-2.0.so.0)
                #9  0x00007f6d5133a902 g_main_loop_run (libglib-2.0.so.0)
                #10 0x00007f6d5191fcb6 gdbus_shared_thread_func (libgio-2.0.so.0)
                #11 0x00007f6d51361536 g_thread_proxy (libglib-2.0.so.0)
                #12 0x00007f6d5825136d start_thread (libpthread.so.0)
                #13 0x00007f6d50e18b8f __clone (libc.so.6)
                
                Stack trace of thread 8581:
                #0  0x00007f6d50e0ca9d poll (libc.so.6)
                #1  0x00007f6d5133a569 g_main_context_poll (libglib-2.0.so.0)
                #2  0x00007f6d5133a67c g_main_context_iteration (libglib-2.0.so.0)
                #3  0x00007f6d2b65af3d dconf_gdbus_worker_thread (libdconfsettings.so)
                #4  0x00007f6d51361536 g_thread_proxy (libglib-2.0.so.0)
                #5  0x00007f6d5825136d start_thread (libpthread.so.0)
                #6  0x00007f6d50e18b8f __clone (libc.so.6)
                
                Stack trace of thread 8580:
                #0  0x00007f6d5825781b pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                #1  0x00007f6d3da1dcec __gthread_cond_wait (libstdc++.so.6)
                #2  0x00007f6d4ddf7517 _ZNSt3_V222condition_variable_any4waitISt11unique_lockIN7bmalloc5MutexEEEEvRT_ (libjavascriptcoregtk-4.0.so.18)
                #3  0x00007f6d4ddf7659 _ZN7bmalloc9AsyncTaskINS_4HeapEMS1_FvvEE16threadEntryPointEPS4_ (libjavascriptcoregtk-4.0.so.18)
                #4  0x00007f6d3da2402f execute_native_thread_routine (libstdc++.so.6)
                #5  0x00007f6d5825136d start_thread (libpthread.so.0)
                #6  0x00007f6d50e18b8f __clone (libc.so.6)

GNU gdb (GDB) Fedora 8.0-13.fc26
Copyright (C) 2017 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /usr/bin/gnome-control-center...Reading symbols from /usr/lib/debug/usr/bin/gnome-control-center.debug...done.
done.

warning: core file may not match specified executable file.
[New LWP 8572]
[New LWP 8582]
[New LWP 8583]
[New LWP 8581]
[New LWP 8580]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `gnome-control-center --overview'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0x00007f6d5402ad94 in updated_cb (proxy=<optimized out>, user_data=0x5596d5a81280) at libnm/nm-remote-connection.c:612
612		nmdbus_settings_connection_call_get_settings (priv->proxy,
[Current thread is 1 (Thread 0x7f6d5c6bdac0 (LWP 8572))]
Missing separate debuginfos, use: dnf debuginfo-install libtxc_dxtn-1.0.1-2.gitef072983.fc26.x86_64
(gdb)
Comment 1 Mikhail 2017-07-10 12:00 EDT
Created attachment 1295871 [details]
dmesg
Comment 2 Mikhail 2017-07-10 12:02:29 EDT
$ gnome-control-center --version
gnome-control-center 3.24.2
Comment 3 Fedora End Of Life 2018-05-03 04:01:21 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2018-05-29 07:20:20 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.